Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class dSAPT_GradoDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function CountEspByGrado(ByVal codGrado As String, codPuesto As String) As Integer
        Dim QueryObject = CreateQueryObject()
        Dim sql As String = "select COUNT(*) FROM dsapt_especialidad where COD_INSPTO=@codPuesto and gra_codigo = @codGrado"
        QueryObject.CreateQuery(sql)
        QueryObject.AddParameter("@codPuesto", SqlDbType.VarChar, codPuesto)
        QueryObject.AddParameter("@codGrado", SqlDbType.VarChar, codGrado)
        Return QueryObject.ExecuteScalar()
    End Function
#End Region
End Class
